Public Member Functions | Public Attributes | Friends | List of all members
ApplePictParserInternal::Pixmap Struct Reference

Internal and low level: a class used to read pack/unpack color pixmap (version 2) More...

## Public Member Functions
| Pixmap ()
bool | unpackedData (unsigned char const *pData, int sz, int byteSz, int nSize, std::vector< unsigned char > &res) const
| creates the pixmap from the packdata More...
MWAWColor | extractColor (const std::vector< unsigned char > &data, size_t rIdx, size_t gIdx, size_t bIdx)
bool | readPixmapData (MWAWInputStream &input)
| parses the pixmap data zone More...
bool | get (MWAWEmbeddedObject &picture) const
| returns the pixmap More...

## Public Attributes
int | m_rowBytes
| the num of bytes used to store a row More...
MWAWBox2i | m_rect
| the pixmap rectangle More...
int | m_version
| the pixmap version More...
int | m_packType
| the packing format More...
long | m_packSize
| size of data in the packed state More...
int | m_resolution [2]
| horizontal/vertical definition More...
int | m_pixelType
| format of pixel image More...
int | m_pixelSize
| physical bit by image More...
int | m_compCount
| logical components per pixels More...
int | m_compSize
| logical bits by components More...
long | m_planeBytes
| offset to the next plane More...
shared_ptr< ColorTable > | m_colorTable
| the color table More...
MWAWBox2i | m_src
| the initial dimension More...
MWAWBox2i | m_dst
| another final dimension More...
shared_ptr< Region > | m_region
| the region More...
std::vector< int > | m_indices
| the pixmap indices More...
std::vector< MWAWColor > | m_colors
| the colors More...
int | m_mode
| the encoding mode ? More...

## Friends
std::ostream & | operator<< (std::ostream &o, Pixmap const &f)
| operator<< for Pixmap More...

## Detailed Description

Internal and low level: a class used to read pack/unpack color pixmap (version 2)

## Constructor & Destructor Documentation

## ◆ Pixmap()

ApplePictParserInternal::Pixmap::Pixmap | ( |  | ) |
| inline

## Member Function Documentation

## ◆ extractColor()

MWAWColor ApplePictParserInternal::Pixmap::extractColor | ( | const std::vector< unsigned char > & | data,
|  | size_t | rIdx,
|  | size_t | gIdx,
|  | size_t | bIdx
| ) |  |
| inline

## ◆ get()

bool ApplePictParserInternal::Pixmap::get | ( | MWAWEmbeddedObject & | picture | ) | const
| inline

returns the pixmap

Referenced by ApplePictParser::drawPixmap().

## ◆ readPixmapData()

bool ApplePictParserInternal::Pixmap::readPixmapData | ( | MWAWInputStream & | input | ) |
| inline

parses the pixmap data zone

Referenced by ApplePictParser::readPixmap().

## ◆ unpackedData()

bool ApplePictParserInternal::Pixmap::unpackedData | ( | unsigned char const * | pData,
|  | int | sz,
|  | int | byteSz,
|  | int | nSize,
|  | std::vector< unsigned char > & | res
| ) |  | const
| inline

creates the pixmap from the packdata

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Pixmap const & | f
| ) |  |
| friend

operator<< for Pixmap

## Member Data Documentation

## ◆ m_colors

std::vector<MWAWColor> ApplePictParserInternal::Pixmap::m_colors

the colors

## ◆ m_colorTable

shared_ptr<ColorTable> ApplePictParserInternal::Pixmap::m_colorTable

the color table

Referenced by ApplePictParser::readPixmap().

## ◆ m_compCount

int ApplePictParserInternal::Pixmap::m_compCount

logical components per pixels

Referenced by ApplePictParser::readPixmap().

## ◆ m_compSize

int ApplePictParserInternal::Pixmap::m_compSize

logical bits by components

Referenced by ApplePictParser::readPixmap().

## ◆ m_dst

MWAWBox2i ApplePictParserInternal::Pixmap::m_dst

another final dimension

Referenced by ApplePictParser::drawPixmap(), and ApplePictParser::readPixmap().

## ◆ m_indices

std::vector<int> ApplePictParserInternal::Pixmap::m_indices

the pixmap indices

## ◆ m_mode

int ApplePictParserInternal::Pixmap::m_mode

the encoding mode ?

Referenced by ApplePictParser::readPixmap().

## ◆ m_packSize

long ApplePictParserInternal::Pixmap::m_packSize

size of data in the packed state

Referenced by ApplePictParser::readPixmap().

## ◆ m_packType

int ApplePictParserInternal::Pixmap::m_packType

the packing format

Referenced by ApplePictParser::readPixmap().

## ◆ m_pixelSize

int ApplePictParserInternal::Pixmap::m_pixelSize

physical bit by image

Referenced by ApplePictParser::readPixmap().

## ◆ m_pixelType

int ApplePictParserInternal::Pixmap::m_pixelType

format of pixel image

Referenced by ApplePictParser::readPixmap().

## ◆ m_planeBytes

long ApplePictParserInternal::Pixmap::m_planeBytes

offset to the next plane

Referenced by ApplePictParser::readPixmap().

## ◆ m_rect

MWAWBox2i ApplePictParserInternal::Pixmap::m_rect

the pixmap rectangle

Referenced by ApplePictParser::readPixmap().

## ◆ m_region

shared_ptr<Region> ApplePictParserInternal::Pixmap::m_region

the region

Referenced by ApplePictParser::readPixmap().

## ◆ m_resolution

int ApplePictParserInternal::Pixmap::m_resolution[2]

horizontal/vertical definition

Referenced by ApplePictParser::readPixmap().

## ◆ m_rowBytes

int ApplePictParserInternal::Pixmap::m_rowBytes

the num of bytes used to store a row

Referenced by ApplePictParser::readPixmap().

## ◆ m_src

MWAWBox2i ApplePictParserInternal::Pixmap::m_src

the initial dimension

Referenced by ApplePictParser::readPixmap().

## ◆ m_version

int ApplePictParserInternal::Pixmap::m_version

the pixmap version

Referenced by ApplePictParser::readPixmap().

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx